QuickSwapBrokerService
Respond to invite
Accept or decline a pending broker invite addressed to the caller.
Method
POST
Path
/v1/quickswap/invites/{invite_id}/respond
Visibility
Authentication
Session token
MFA Requirement
Not required
POST
/v1/quickswap/invites/{invite_id}/respond Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/v1/quickswap/invites/1/respond' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"accept": false
}'Responses
{
"membership": {
"broker": "value",
"brokerDisplayName": "value",
"role": "OWNER"
}
} invite_id string
Public invite ID, as a decimal string.
accept boolean
True to accept, false to decline.
3 fields
broker string
Broker name.
Example
value brokerDisplayName string
Broker display name.
Example
value role enum
The caller's role.
OWNER ADMIN FINANCE AFFILIATE_MANAGER VIEWER
Example
OWNER| Key | HTTP status | Connect code | Error | When |
|---|---|---|---|---|
| unauthenticated | 401 | unauthenticated | Unauthenticated | Authentication required. |
| permission-denied | 403 | permission_denied | Permission Denied | Permission denied. |
| invalid-argument | 400 | invalid_argument | Invalid Argument | Invalid argument. |
| not-found | 404 | not_found | Not Found | Not found. |
| unavailable | 503 | unavailable | Unavailable | Service unavailable. |